Name:           halloy
Version:        2025.6
Release:        1%{?dist}
Summary:        Simple and fast IRC client written in Rust with Iced GUI
License:        GPL-3.0
URL:            https://github.com/squidowl/halloy
Source0:        %{name}-%{version}.tar.gz
Source1:        halloy.desktop

BuildRequires:  rust
BuildRequires:  cargo
BuildRequires:  gtk4-devel
BuildRequires:  openssl-devel
BuildRequires:  systemd-devel
BuildRequires:  alsa-lib-devel

%description
Halloy is an open-source IRC client written in Rust, with the Iced GUI library.
It aims to provide a simple and fast client for Mac, Windows, and Linux platforms.

%prep
%setup -q
%if 0%{?fedora} >= 38
%autosetup -p1
%endif

%build
cargo build --release

%install
install -Dm755 target/release/halloy %{buildroot}%{_bindir}/halloy
install -Dm644 %{SOURCE1} %{buildroot}%{_datadir}/applications/org.squidowl.halloy.desktop
for size in 16 24 32 48 64 96 128 256 512; do
  install -Dm644 assets/linux/icons/hicolor/${size}x${size}/apps/org.squidowl.halloy.png \
    %{buildroot}%{_datadir}/icons/hicolor/${size}x${size}/apps/org.squidowl.halloy.png
done

%files
%{_bindir}/halloy
%{_datadir}/applications/org.squidowl.halloy.desktop
%{_datadir}/icons/hicolor/16x16/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/24x24/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/32x32/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/48x48/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/64x64/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/96x96/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/128x128/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/256x256/apps/org.squidowl.halloy.png
%{_datadir}/icons/hicolor/512x512/apps/org.squidowl.halloy.png

%changelog
* Sun Jun 22 2025 Mark @cirrus:fedora.im - 2025.6-1
- Initial package for Halloy IRC client, with icons and desktop file integration

